package com.sundot.airport.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 考核指标表应用方式规则枚举
 */
@Getter
@AllArgsConstructor
public enum BasePerformanceIndicatorApplicationMethodRuleEnum {

    APPLICATION_METHOD_RULE_ONE("面谈督导", "当月评价为待改进"),
    APPLICATION_METHOD_RULE_TWO("停岗并脱产培训1周", "当月评价为不称职或当年连续2次出现待改进"),
    APPLICATION_METHOD_RULE_THREE("降职降薪", "考核组为安检员兼X光机操作员（旅检、员工），连续3个月待改进或当年累计4次待改进或近12个月累计2次评价不称职"),
    APPLICATION_METHOD_RULE_FOUR("解除合同", "培训返岗后，当年再次出现待改进或不称职，则评价不胜任，上报公司解除合同"),
    APPLICATION_METHOD_RULE_FIVE("岗位重新竞聘", "面谈后近12个月累计出现3次待改进"),
    APPLICATION_METHOD_RULE_SIX("降职降薪", "面谈后当年再次出现不称职"),
    APPLICATION_METHOD_RULE_OTHER("其他", "其他");

    private final String name;
    private final String desc;

}
